View Issue Details

IDProjectCategoryView StatusLast Update
0015482LazarusIDEpublic2010-01-17 18:11
ReporterPhil Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntelOSWindows 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015482: Lazarus creating .or/.res when it shouldn't
DescriptionWith a server-based ExtPascal app, manifest file and other resources don't make sense. Turning off things in project options used to eliminate all these superfluous files, but now within the last week or so something has changed so that Lazarus now creates an .or and .res file.

TagsNo tags attached.
Fixed in Revision23474
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Phil

2010-01-10 20:50

reporter   ~0033547

It's even worse than I thought.

On Mac, with a new ExtPascal app, it's now inserting {$R Project1.res} into the .lpr file. How do I get it to stop messing up the code that my project wizard is creating?

Thanks.

-Phil

Paul Ishenin

2010-01-17 08:48

manager   ~0033696

There was a bug introduced into xp manifest support which persistenly added manifest support inspite of option set. Is this solved now?

stocki

2010-01-17 09:25

reporter   ~0033697

Lazarus should in general stop "managing" the .lpr file. E.g. adding resource statements etc. Even it already exists. This is annoying.

Paul Ishenin

2010-01-17 12:40

manager   ~0033705

Please test and close if ok.

Phil

2010-01-17 18:11

reporter   ~0033713

Yes, Lazarus appears to be fixed and under control once again.

I agree completely with stocki on this one. Seems as though these assumptions about what an "app" is keep creeping back into Lazarus. If Lazarus is ever to be used with non-LCL apps (see examples/designnonlcl), it has to be restrained from doing things that only make sense in an LCL app (and even then it's questionable if all these defaults are really desirable).

Thanks.

-Phil

Issue History

Date Modified Username Field Change
2010-01-08 18:58 Phil New Issue
2010-01-08 18:58 Phil Widgetset => Win32/Win64
2010-01-08 21:17 Vincent Snijders LazTarget => -
2010-01-08 21:17 Vincent Snijders Assigned To => Paul Ishenin
2010-01-08 21:17 Vincent Snijders Status new => assigned
2010-01-10 20:50 Phil Note Added: 0033547
2010-01-17 08:48 Paul Ishenin LazTarget - => 0.9.30
2010-01-17 08:48 Paul Ishenin Note Added: 0033696
2010-01-17 08:48 Paul Ishenin Status assigned => feedback
2010-01-17 08:48 Paul Ishenin Target Version => 0.9.30
2010-01-17 09:25 stocki Note Added: 0033697
2010-01-17 12:40 Paul Ishenin Fixed in Revision => 23474
2010-01-17 12:40 Paul Ishenin Status feedback => resolved
2010-01-17 12:40 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-01-17 12:40 Paul Ishenin Resolution open => fixed
2010-01-17 12:40 Paul Ishenin Note Added: 0033705
2010-01-17 18:11 Phil Note Added: 0033713
2010-01-17 18:11 Phil Status resolved => closed